# BBCMD

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

bbcmd - Run a Xymon command with environment set

## SYNOPSIS

bbcmd --env=ENVFILE COMMAND

## DESCRIPTION

bbcmd(1) is a utility that can setup the Xymon environment variables as defined in a hobbitlaunch(8) compatible environment definition file, and then execute a command with this environment in place. It is mostly used for testing extension scripts or in other situations where you need to run a single command with the environment in place.

The "--env=ENVFILE" option points bbcmd to the file where the environment definitions are loaded from.

COMMAND is the command to execute after setting up the environment.

If you want to run multiple commands, it is often easiest to just use "sh" as the COMMAND - this gives you a sub-shell with the environment defined globally.

## SEE ALSO

hobbitlaunch(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:30 GMT, December 15, 2008